<svg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'
    viewBox='0 0 40 40' enable-background='new 0 0 40 40' xml:space='preserve'>
    <g>
        <g>
            <g>
                <path d='M22.746,31.173h-5.538c-0.505,0-0.912-0.41-0.912-0.912V29.62c0.006-0.551-0.021-0.938-0.079-1.154c-0.311-1.139-1.134-2.094-1.931-3.02c-0.263-0.303-0.511-0.592-0.739-0.883c-1.147-1.459-1.757-3.207-1.757-5.061c0-4.526,3.684-8.207,8.21-8.207c4.525,0,8.208,3.681,8.208,8.207c0,1.855-0.607,3.605-1.757,5.063c-0.201,0.258-0.433,0.528-0.675,0.813c-0.816,0.96-1.727,2.031-2.041,3.162c-0.055,0.202-0.082,0.565-0.078,1.073v0.646C23.657,30.763,23.25,31.173,22.746,31.173L22.746,31.173z M18.122,29.347h3.712c0.01-0.71,0.079-1.06,0.142-1.288c0.423-1.523,1.471-2.76,2.396-3.846c0.243-0.286,0.456-0.536,0.645-0.774c0.893-1.136,1.366-2.495,1.366-3.936c0-3.52-2.862-6.384-6.382-6.384s-6.384,2.864-6.384,6.384c0,1.438,0.472,2.798,1.366,3.934c0.211,0.27,0.442,0.535,0.687,0.818c0.843,0.979,1.888,2.192,2.31,3.733C18.042,28.229,18.114,28.596,18.122,29.347L18.122,29.347z'/>
            </g>
            <g>
                <path d='M22.746,33.588h-5.538c-0.505,0-0.912-0.409-0.912-0.914c0-0.504,0.407-0.911,0.912-0.911h5.538c0.504,0,0.911,0.407,0.911,0.911C23.657,33.179,23.25,33.588,22.746,33.588L22.746,33.588z'/>
            </g>
            <g>
                <path d='M21.362,36h-2.769c-0.505,0-0.914-0.409-0.914-0.912c0-0.504,0.409-0.914,0.914-0.914h2.769
                    c0.502,0,0.912,0.41,0.912,0.914C22.274,35.591,21.864,36,21.362,36L21.362,36z'/>
            </g>
        </g>
        <g>
            <path d='M34.592,20.415h-3.648c-0.504,0-0.914-0.407-0.914-0.912c0-0.504,0.41-0.912,0.914-0.912h3.648
                c0.504,0,0.911,0.408,0.911,0.912C35.503,20.008,35.096,20.415,34.592,20.415L34.592,20.415z'/>
        </g>
        <g>
            <path d='M9.057,20.415H5.408c-0.504,0-0.911-0.407-0.911-0.912c0-0.504,0.407-0.912,0.911-0.912h3.648
                c0.504,0,0.914,0.408,0.914,0.912C9.971,20.008,9.561,20.415,9.057,20.415L9.057,20.415z'/>
        </g>
        <g>
            <path d='M20,9.474c-0.505,0-0.914-0.407-0.914-0.912V4.912C19.086,4.409,19.495,4,20,4s0.912,0.409,0.912,0.912v3.649
                C20.912,9.066,20.505,9.474,20,9.474L20,9.474z'/>
        </g>
        <g>
            <path d='M30.314,30.733c-0.232,0-0.465-0.089-0.644-0.268l-2.579-2.58c-0.356-0.355-0.356-0.934,0-1.291
                c0.357-0.356,0.934-0.354,1.29,0.002l2.579,2.579c0.357,0.357,0.357,0.936,0,1.292C30.782,30.646,30.55,30.733,30.314,30.733
                L30.314,30.733z'/>
        </g>
        <g>
            <path d='M12.26,12.679c-0.232,0-0.466-0.089-0.646-0.268L9.037,9.833c-0.357-0.357-0.357-0.936,0-1.293
                c0.357-0.356,0.934-0.356,1.29,0l2.579,2.579c0.357,0.356,0.357,0.936,0,1.292C12.728,12.59,12.495,12.679,12.26,12.679
                L12.26,12.679z'/>
        </g>
        <g>
            <path d='M9.682,30.733c-0.233,0-0.466-0.087-0.645-0.266c-0.357-0.356-0.357-0.935,0-1.292l2.581-2.581
                c0.354-0.356,0.931-0.356,1.288,0c0.357,0.357,0.357,0.936,0,1.293l-2.579,2.58C10.148,30.645,9.916,30.733,9.682,30.733
                L9.682,30.733z'/>
        </g>
        <g>
            <path d='M27.738,12.679c-0.233,0-0.466-0.089-0.646-0.268c-0.354-0.356-0.354-0.934,0-1.29l2.579-2.579
                c0.354-0.356,0.935-0.358,1.29-0.002c0.357,0.357,0.357,0.934,0,1.291l-2.577,2.578C28.206,12.588,27.973,12.679,27.738,12.679
                L27.738,12.679z'/>
        </g>
    </g>
</svg>
